Bug 195730 - URL escaping not handled for module Class-Path elements
URL escaping not handled for module Class-Path elements
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Harness
7.0
All All
: P4 with 2 votes (vote)
: 7.3
Assigned To: Jaroslav Tulach
issues@apisupport
: SPACE_IN_PATH
: 196073 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-20 23:06 UTC by javydreamercsw
Modified: 2012-12-12 02:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Sample project (77.88 KB, application/x-zip-compressed)
2011-02-20 23:14 UTC, javydreamercsw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description javydreamercsw 2011-02-20 23:06:31 UTC
[ BUILD # : 201102200501 ]
[ JDK VERSION : 1.6.22 ]

I created a WebService client in a java project. Tested it and works fine. Then
I'm wrapping that library in a Library Module so it can be consumed by my RCP
application. Everything compiles fine but there are issues at run time.

Here's the output:

taskdefs:
common-init:
projectized-common.basic-init:
basic-init:
files-init:
nbm-license-init:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\WSGUI\build
build-init:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars
Scanning for modules in Z:\Program Files\Netbeans 7.0\netbeans\platform
Scanning for modules in suite Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\org-netbeans-modules-settings.jar from
[Z:\Program Files\Netbeans
7.0\netbeans\platform\modules\org-netbeans-modules-settings.jar]
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\org-openide-awt.jar from [Z:\Program
Files\Netbeans 7.0\netbeans\platform\modules\org-openide-awt.jar]
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\org-openide-util.jar from [Z:\Program
Files\Netbeans 7.0\netbeans\platform\lib\org-openide-util.jar]
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\org-openide-util-lookup.jar from [Z:\Program
Files\Netbeans 7.0\netbeans\platform\lib\org-openide-util-lookup.jar]
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\org-openide-windows.jar from [Z:\Program
Files\Netbeans 7.0\netbeans\platform\modules\org-openide-windows.jar]
Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\modules\project-com-packtpub-nbpcook-ws-lib.jar missing
for Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web Services\WSGUI; will
first try to build Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\Web Service Client Lib
project.com.packtpub.nbpcook.ws.lib.taskdefs:
project.com.packtpub.nbpcook.ws.lib.common-init:
project.com.packtpub.nbpcook.ws.lib.projectized-common.basic-init:
project.com.packtpub.nbpcook.ws.lib.basic-init:
project.com.packtpub.nbpcook.ws.lib.files-init:
project.com.packtpub.nbpcook.ws.lib.nbm-license-init:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web Services\Web
Service Client Lib\build
project.com.packtpub.nbpcook.ws.lib.build-init:
Scanning for modules in Z:\Program Files\Netbeans 7.0\netbeans\platform
Scanning for modules in suite Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services
project.com.packtpub.nbpcook.ws.lib.init:
project.com.packtpub.nbpcook.ws.lib.up-to-date:
project.com.packtpub.nbpcook.ws.lib.compile:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web Services\Web
Service Client Lib\build\classes
Copying 1 file to Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\Web Service Client Lib\build\classes
project.com.packtpub.nbpcook.ws.lib.jar-prep:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\modules
project.com.packtpub.nbpcook.ws.lib.jar:
Building jar: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\modules\project-com-packtpub-nbpcook-ws-lib.jar
project.com.packtpub.nbpcook.ws.lib.netbeans-extra:
project.com.packtpub.nbpcook.ws.lib.module-xml-regular:
project.com.packtpub.nbpcook.ws.lib.module-xml-autoload:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\config\Modules
project.com.packtpub.nbpcook.ws.lib.module-xml-eager:
project.com.packtpub.nbpcook.ws.lib.javahelp:
project.com.packtpub.nbpcook.ws.lib.module-auto-deps:
project.com.packtpub.nbpcook.ws.lib.release:
Copying 1 file to Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster
project.com.packtpub.nbpcook.ws.lib.chmod-executables:
project.com.packtpub.nbpcook.ws.lib.verify-class-linkage:
0 file(s) have been successfully validated.
project.com.packtpub.nbpcook.ws.lib.netbeans:
Generating information for Auto Update...
Distilling Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\public-package-jars\project-com-packtpub-nbpcook-ws-lib.jar from
[Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\modules\project-com-packtpub-nbpcook-ws-lib.jar,
Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web Services\Web Service Client
Lib\release\modules\ext\Web Service Client.jar]
Warning: project.com.packtpub.nbpcook.ws.gui lacks a unit test dependency on
org.netbeans.libs.junit4; using default dependencies for compatibility
init:
up-to-date:
compile:
Created dir: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\WSGUI\build\classes
Compiling 1 source file to Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\WSGUI\build\classes
Note: Attempting to workaround 6512707
Note: generated layer entry:
Actions/Window/project-com-packtpub-nbpcook-ws-gui-GUITopComponent.instance
Note: generated layer entry:
Menu/Window/project-com-packtpub-nbpcook-ws-gui-GUITopComponent.shadow
Note: generated layer entry: Windows2/Components/GUITopComponent.settings
Note: generated layer entry: Windows2/Modes/editor/GUITopComponent.wstcref
Note: generated layer entry:
xml/entities/project_com_packtpub_nbpcook_ws_gui/GUI
Note: generated layer entry:
xml/lookups/project_com_packtpub_nbpcook_ws_gui/GUI.instance
Note: generated layer entry:
xml/memory/project/com/packtpub/nbpcook/ws/gui/GUITopComponent
Copying 1 file to Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\WSGUI\build\classes
jar-prep:
jar:
Building jar: Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster\modules\project-com-packtpub-nbpcook-ws-gui.jar
netbeans-extra:
module-xml-regular:
module-xml-autoload:
module-xml-eager:
javahelp:
module-auto-deps:
release:
chmod-executables:
verify-class-linkage:
0 file(s) have been successfully validated.
netbeans:
Generating information for Auto Update...
run:
run.run:
-------------------------------------------------------------------------------

>Log Session: Sunday, February 20, 2011 4:58:35 PM CST
>System Info: 
  Product Version         = NetBeans Platform Dev (Build 201102200501)
  Operating System        = Windows 7 version 6.1 running on x86
  Java; VM; Vendor        = 1.6.0_23; Java HotSpot(TM) Server VM 19.0-b09; Sun
Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_23-b05
  Java Home               = Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre
  System Locale; Encoding = en_US (web_services); Cp1252
  Home Directory          = C:\Users\Javier
  Current Directory       = Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\WSGUI
  User Directory          = Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\testuserdir
  Installation            = Z:\Netbeans\Netbeans Cookbook\05_Web Services\Web
Services\build\cluster
                            Z:\Program Files\Netbeans 7.0\netbeans\platform
                            Z:\Program Files\Netbeans 7.0\netbeans\platform
  Boot & Ext. Classpath   =
Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\lib\resources.jar;Z:\PortableApps\Co
mmonFiles\jdk1.6.0_23\jre\lib\rt.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre
\lib\sunrsasign.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\lib\jsse.jar;Z:\
PortableApps\CommonFiles\jdk1.6.0_23\jre\lib\jce.jar;Z:\PortableApps\CommonFiles
\jdk1.6.0_23\jre\lib\charsets.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\li
b\modules\jdk.boot.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\classes;Z:\Po
rtableApps\CommonFiles\jdk1.6.0_23\jre\lib\ext\dnsns.jar;Z:\PortableApps\CommonF
iles\jdk1.6.0_23\jre\lib\ext\localedata.jar;Z:\PortableApps\CommonFiles\jdk1.6.0
_23\jre\lib\ext\sunjce_provider.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\
lib\ext\sunmscapi.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\jre\lib\ext\sunpkc
s11.jar
  Application Classpath   = Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\boot.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\org-openide-modules.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\org-openide-util-lookup.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\org-openide-util.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\locale\boot_ja.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\locale\boot_pt_BR.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\locale\boot_ru.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\locale\boot_zh_CN.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-modules_ja.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-modules_pt_BR.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-modules_ru.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-modules_zh_CN.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util-lookup_ja.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util-lookup_pt_BR.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util-lookup_ru.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util-lookup_zh_CN.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util_ja.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util_pt_BR.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util_ru.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\lib\locale\org-openide-util_zh_CN.jar;Z:\PortableApps\Comm
onFiles\jdk1.6.0_23\lib\dt.jar;Z:\PortableApps\CommonFiles\jdk1.6.0_23\lib\tools
.jar
  Startup Classpath       = Z:\Program Files\Netbeans
7.0\netbeans\platform\core\core.jar;Z:\Program Files\Netbeans
7.0\netbeans\platform\core\org-openide-filesystems.jar;Z:\Program
Files\Netbeans 7.0\netbeans\platform\core\locale\core_ja.jar;Z:\Program
Files\Netbeans 7.0\netbeans\platform\core\locale\core_pt_BR.jar;Z:\Program
Files\Netbeans 7.0\netbeans\platform\core\locale\core_ru.jar;Z:\Program
Files\Netbeans 7.0\netbeans\platform\core\locale\core_zh_CN.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\core\locale\org-openide-filesystems_ja.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\core\locale\org-openide-filesystems_pt_BR.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\core\locale\org-openide-filesystems_ru.jar;Z:\Program
Files\Netbeans
7.0\netbeans\platform\core\locale\org-openide-filesystems_zh_CN.jar
-------------------------------------------------------------------------------

INFO [org.netbeans.JarClassLoader]: Cannot open Z:\Netbeans\Netbeans
Cookbook\05_Web Services\Web Services\build\cluster\modules\Service
java.io.FileNotFoundException: Z:\Netbeans\Netbeans Cookbook\05_Web
Services\Web Services\build\cluster\modules\Service (The system cannot find the
file specified)
	at java.util.zip.ZipFile.open(Native Method)
	at java.util.zip.ZipFile.<init>(ZipFile.java:127)
	at java.util.jar.JarFile.<init>(JarFile.java:135)
	at java.util.jar.JarFile.<init>(JarFile.java:114)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:468)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:461)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at org.netbeans.JarClassLoader$JarSource.getJarFile(JarClassLoader.java:490)
[catch] at
org.netbeans.JarClassLoader$JarSource.listCoveredPackages(JarClassLoader.java:55
9)
	at org.netbeans.JarClassLoader.getCoveredPackages(JarClassLoader.java:821)
	at org.netbeans.JarClassLoader.<init>(JarClassLoader.java:161)
	at
org.netbeans.StandardModule$OneModuleClassLoader.<init>(StandardModule.java:697)

	at org.netbeans.StandardModule.classLoaderUp(StandardModule.java:630)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:897)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:318)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:254)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:293)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:172)
	at org.netbeans.core.startup.Main.start(Main.java:308)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:114)
	at java.lang.Thread.run(Thread.java:662)
INFO [org.netbeans.JarClassLoader]: Cannot open Z:\Netbeans\Netbeans
Cookbook\05_Web Services\Web Services\build\cluster\modules\Client.jar
java.io.FileNotFoundException: Z:\Netbeans\Netbeans Cookbook\05_Web
Services\Web Services\build\cluster\modules\Client.jar (The system cannot find
the file specified)
	at java.util.zip.ZipFile.open(Native Method)
	at java.util.zip.ZipFile.<init>(ZipFile.java:127)
	at java.util.jar.JarFile.<init>(JarFile.java:135)
	at java.util.jar.JarFile.<init>(JarFile.java:114)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:468)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:461)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at org.netbeans.JarClassLoader$JarSource.getJarFile(JarClassLoader.java:490)
[catch] at
org.netbeans.JarClassLoader$JarSource.listCoveredPackages(JarClassLoader.java:55
9)
	at org.netbeans.JarClassLoader.getCoveredPackages(JarClassLoader.java:821)
	at org.netbeans.JarClassLoader.<init>(JarClassLoader.java:161)
	at
org.netbeans.StandardModule$OneModuleClassLoader.<init>(StandardModule.java:697)

	at org.netbeans.StandardModule.classLoaderUp(StandardModule.java:630)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:897)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:318)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:254)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:293)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:172)
	at org.netbeans.core.startup.Main.start(Main.java:308)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:114)
	at java.lang.Thread.run(Thread.java:662)
INFO [org.netbeans.JarClassLoader]: Cannot open Z:\Netbeans\Netbeans
Cookbook\05_Web Services\Web Services\build\cluster\modules\ext\Web
java.io.FileNotFoundException: Z:\Netbeans\Netbeans Cookbook\05_Web
Services\Web Services\build\cluster\modules\ext\Web (The system cannot find the
file specified)
	at java.util.zip.ZipFile.open(Native Method)
	at java.util.zip.ZipFile.<init>(ZipFile.java:127)
	at java.util.jar.JarFile.<init>(JarFile.java:135)
	at java.util.jar.JarFile.<init>(JarFile.java:114)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:468)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:461)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at org.netbeans.JarClassLoader$JarSource.getJarFile(JarClassLoader.java:490)
[catch] at
org.netbeans.JarClassLoader$JarSource.listCoveredPackages(JarClassLoader.java:55
9)
	at org.netbeans.JarClassLoader.getCoveredPackages(JarClassLoader.java:821)
	at org.netbeans.JarClassLoader.<init>(JarClassLoader.java:161)
	at
org.netbeans.StandardModule$OneModuleClassLoader.<init>(StandardModule.java:697)

	at org.netbeans.StandardModule.classLoaderUp(StandardModule.java:630)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:897)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:318)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:254)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:293)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:172)
	at org.netbeans.core.startup.Main.start(Main.java:308)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:114)
	at java.lang.Thread.run(Thread.java:662)
INFO [org.netbeans.core.startup.NbEvents]: Turning on modules:
	org.openide.util.lookup [8.6 201102200501]
	org.openide.util [8.14 201102200501]
	org.openide.modules [7.22 201102200501]
	org.openide.filesystems [7.46 201102200501]
	org.openide.awt [7.30 201102200501]
	org.netbeans.api.progress/1 [1.23 201102200501]
	org.openide.dialogs [7.18 201102200501]
	org.openide.nodes [7.20 201102200501]
	org.openide.windows [6.39 201102200501]
	org.netbeans.modules.progress.ui [1.15 201102200501]
	org.netbeans.modules.queries/1 [1.22 201102200501]
	org.netbeans.libs.jna/1 [1.13 201102200501]
	org.netbeans.modules.masterfs/2 [2.31 201102200501]
	org.netbeans.bootstrap/1 [2.39 201102200501]
	org.netbeans.core.startup/1 [1.29 201102200501]
	org.netbeans.libs.osgi [1.4 201102200501]
	org.netbeans.core.netigso [1.8 201102200501]
	org.openide.io [1.26 201102200501]
	org.netbeans.core.io.ui/1 [1.11 201102200501]
	org.netbeans.swing.tabcontrol [1.24 201102200501]
	org.netbeans.swing.outline [1.12 201102200501]
	org.openide.explorer [6.34 201102200501]
	org.netbeans.modules.editor.mimelookup/1 [1.21 201102200501]
	org.openide.text [6.36 201102200501]
	org.openide.actions [6.21 201102200501]
	org.netbeans.api.annotations.common/1 [1.8 201102200501]
	org.netbeans.spi.quicksearch [1.9 201102200501]
	org.openide.loaders [7.20 201102200501]
	org.netbeans.modules.keyring [1.5 201102200501]
	org.netbeans.swing.plaf [1.19 201102200501]
	org.netbeans.core/2 [3.24 201102200501]
	org.netbeans.modules.options.api/1 [1.21 201102200501]
	project.com.packtpub.nbpcook.ws.lib [1.0 110220]
	org.netbeans.core.ui/1 [1.26 201102200501]
	org.netbeans.modules.keyring.impl [1.2 201102200501]
	org.netbeans.modules.options.keymap [1.13 201102200501]
	org.netbeans.modules.settings/1 [1.30 201102200501]
	org.netbeans.core.windows/2 [2.26 201102200501]
	org.netbeans.core.output2/1 [1.21 201102200501]
	org.netbeans.core.nativeaccess/1 [1.11 201102200501]
	org.netbeans.modules.print [7.8 201102200501]
	org.netbeans.modules.editor.mimelookup.impl/1 [1.13 201102200501]
	org.netbeans.libs.felix [1.4 201102200501]
	project.com.packtpub.nbpcook.ws.gui [1.0 110220]
INFO [org.netbeans.core.windows.persistence]:
[PersistenceManager.getTopComponentForID] Problem when deserializing
TopComponent for tcID:'GUITopComponent'. Reason: null
java.lang.ClassNotFoundException:
project.com.packtpub.nbpcook.ws.client.ServiceService
	at java.net.URLClassLoader$1.run(URLClassLoader.java:202)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:307)
	at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:262)
Caused: java.lang.ClassNotFoundException:
project.com.packtpub.nbpcook.ws.client.ServiceService starting from
ModuleCL@1ce1bea[project.com.packtpub.nbpcook.ws.gui] with possible defining
loaders null and declared parents
[org.netbeans.MainImpl$BootClassLoader@1b26af3,
ModuleCL@96212a[project.com.packtpub.nbpcook.ws.lib],
ModuleCL@6458a6[org.netbeans.modules.settings],
ModuleCL@f894ce[org.openide.awt], ModuleCL@4eb043[org.openide.windows]]
	at org.netbeans.ProxyClassLoader.loadClass(ProxyClassLoader.java:264)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:248)
Caused: java.lang.NoClassDefFoundError:
project/com/packtpub/nbpcook/ws/client/ServiceService
	at
project.com.packtpub.nbpcook.ws.gui.GUITopComponent.<init>(GUITopComponent.java:
30)
Caused: java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorI
mpl.java:39)
	at
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorA
ccessorImpl.java:27)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:513)
	at
org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:608)
Caused: java.io.IOException
	at
org.netbeans.modules.settings.convertors.XMLSettingsSupport$SettingsRecognizer.i
nstanceCreate(XMLSettingsSupport.java:610)
	at
org.netbeans.modules.settings.convertors.SerialDataConvertor$SettingsInstance.in
stanceCreate(SerialDataConvertor.java:424)
[catch] at
org.netbeans.core.windows.persistence.PersistenceManager.getTopComponentPersiste
ntForID(PersistenceManager.java:545)
	at
org.netbeans.core.windows.persistence.PersistenceManager.getTopComponentForID(Pe
rsistenceManager.java:655)
	at
org.netbeans.core.windows.PersistenceHandler.getTopComponentForID(PersistenceHan
dler.java:460)
	at
org.netbeans.core.windows.PersistenceHandler.load(PersistenceHandler.java:163)
	at org.netbeans.core.windows.WindowSystemImpl.load(WindowSystemImpl.java:73)
	at org.netbeans.core.GuiRunLevel$2.run(GuiRunLevel.java:181)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at
org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:148)
	at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269
)
	at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174
)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
Diagnostic information
Input arguments:
	-Dnetbeans.logger.console=true
	-ea
	-Djdk.home=Z:\PortableApps\CommonFiles\jdk1.6.0_23
	-Dnetbeans.home=Z:\Program
	Files\Netbeans
	7.0\netbeans\platform
	-Dnetbeans.user=Z:\Netbeans\Netbeans
	Cookbook\05_Web
	Services\Web
	Services\build\testuserdir
	-XX:+HeapDumpOnOutOfMemoryError
	-XX:HeapDumpPath=Z:\Netbeans\Netbeans
	Cookbook\05_Web
	Services\Web
	Services\build\testuserdir\var\log\heapdump.hprof
	-Dnetbeans.system_http_proxy=DIRECT
	-Dsun.awt.keepWorkingSetOnMinimize=true
	-Dnetbeans.dirs=Z:\Netbeans\Netbeans
	Cookbook\05_Web
	Services\Web
	Services\build\cluster;Z:\Program
	Files\Netbeans
	7.0\netbeans\platform
Compiler: HotSpot Tiered Compilers
Heap memory usage: initial 31.8MB maximum 453.4MB
Non heap memory usage: initial 18.2MB maximum 112.0MB
Garbage collector: PS Scavenge (Collections=4 Total time spent=0s)
Garbage collector: PS MarkSweep (Collections=0 Total time spent=0s)
Classes: loaded=3262 total loaded=3262 unloaded 0
INFO [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 2,137,042,944
INFO [null]: Total physical memory 2,137,042,944
WARNING [org.openide.filesystems.Ordering]: Not all children in Menu/Window/
marked with the position attribute:
[project-com-packtpub-nbpcook-ws-gui-GUITopComponent.shadow], but some are:
[org-netbeans-core-windows-actions-GlobalPropertiesAction.shadow, Output,
SwitchToRecentDocumentAction.shadow, ProgressListAction.shadow,
Separator3.instance, CloseWindowAction.shadow, MaximizeWindowAction.shadow,
org-netbeans-core-windows-actions-UndockAction.shadow, Separator4.instance,
CloneDocumentAction.shadow, CloseAllDocumentsAction.shadow,
CloseAllButThisAction.shadow, DocumentsAction.shadow, Separator5.instance,
org-netbeans-core-windows-actions-ResetWindowsAction.shadow]
WARNING [org.netbeans.Stamps]: Error saving cache Z:\Netbeans\Netbeans
Cookbook\05_Web Services\Web
Services\build\testuserdir\var\cache\all-resources.dat
java.io.FileNotFoundException: Z:\Netbeans\Netbeans Cookbook\05_Web
Services\Web Services\build\cluster\modules\Service (The system cannot find the
file specified)
	at java.util.zip.ZipFile.open(Native Method)
	at java.util.zip.ZipFile.<init>(ZipFile.java:127)
	at java.util.jar.JarFile.<init>(JarFile.java:135)
	at java.util.jar.JarFile.<init>(JarFile.java:114)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:468)
	at org.netbeans.JarClassLoader$JarSource$1.call(JarClassLoader.java:461)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:303)
	at java.util.concurrent.FutureTask.run(FutureTask.java:138)
	at org.netbeans.JarClassLoader$JarSource.getJarFile(JarClassLoader.java:490)
	at
org.netbeans.JarClassLoader$JarSource.listCoveredPackages(JarClassLoader.java:55
9)
	at org.netbeans.JarClassLoader.getCoveredPackages(JarClassLoader.java:821)
	at org.netbeans.JarClassLoader.<init>(JarClassLoader.java:161)
	at
org.netbeans.StandardModule$OneModuleClassLoader.<init>(StandardModule.java:697)

	at org.netbeans.StandardModule.classLoaderUp(StandardModule.java:630)
	at org.netbeans.ModuleManager.enable(ModuleManager.java:897)
	at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:318)
	at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:254)
	at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:293)
	at org.netbeans.core.startup.Main.getModuleSystem(Main.java:172)
	at org.netbeans.core.startup.Main.start(Main.java:308)
	at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:114)
[catch] at java.lang.Thread.run(Thread.java:662)
BUILD SUCCESSFUL (total time: 35 seconds)
Comment 1 javydreamercsw 2011-02-20 23:06:59 UTC
Was able to reproduce on 6.9.1 as well.
Comment 2 javydreamercsw 2011-02-20 23:14:48 UTC
Created attachment 106223 [details]
Sample project

Sources to reproduce. Just try to run the Suite project.
Comment 3 Jesse Glick 2011-02-22 21:38:18 UTC
Your problem is the use of spaces in Class-Path in the module JAR. Although the JAR specification does not discuss this beyond saying that the space-separated components are "relative URLs", experimentation confirms that they must be properly escaped. There are two bugs in NB:

1. <runtime-relative-path> in project.xml is generally treated as a (relative) file path, not a relative URL. This means that ParseProjectXml.computeClassPathExtensions should escape it.

2. StandardModule.findExtensionsAndVariants ought to interpret space-separated components as relative URLs by unescaping them. This is trivial with java.net.URI except for a well-known bug in File.toURI for UNC paths (a better API is available in JDK 7).

In the meantime, the workaround is simple: don't use spaces in the names of class-path extension JARs.
Comment 4 Jesse Glick 2011-02-28 17:18:55 UTC
*** Bug 196073 has been marked as a duplicate of this bug. ***
Comment 5 Jaroslav Tulach 2011-04-24 05:57:33 UTC
Why the bug is assigned to module system when primary problem is in build harness? I've reported bug 198039 to fix the JarClassLoader space in path problem.
Comment 6 Jesse Glick 2011-04-26 12:38:38 UTC
(In reply to comment #5)
> Why the bug is assigned to module system when primary problem is in build
> harness?

There are really two bugs, one in module system and one in build harness, which would need to be fixed together.

Also it seems that javac does not handle escaped Class-Path elements correctly even though URLClassPath (used by e.g. java -jar ...) does, so there might be unsolvable issues with such entries. Advice remains not to use them to begin with.
Comment 7 Jesse Glick 2011-10-12 20:20:15 UTC
*** Bug 203008 has been marked as a duplicate of this bug. ***
Comment 8 Jaroslav Tulach 2012-12-06 08:52:20 UTC
ergonomics#5691d74d70f4
Comment 9 Quality Engineering 2012-12-12 02:48:05 UTC
Integrated into 'main-golden', will be available in build *201212120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5691d74d70f4
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #195730: use and handle %20 in Class-Path attribute


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo